%define pkgname		libsigc++

%define api_version	2.0
%define major		0
%define libname		%mklibname sigc++ %api_version %major
%define libnamedev	%mklibname -d sigc++ %api_version

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		%{pkgname}%{api_version}
Summary:	The Typesafe Signal Framework for C++
Version:	2.10.6
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://libsigc.sourceforge.net/
Source0:	https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	doxygen

%description
Callback system for use in widget libraries, abstract interfaces, and
general programming.

This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally part
of the Gtk-- widget set, %{pkgname} is now a separate library to provide for
more general use. It is the most complete library of its kind with the
ablity to connect an abstract callback to a class method, function, or
function object. It contains adaptor classes for connection of dissimilar
callbacks and has an ease of use unmatched by other C++ callback
libraries.

Package gtkmm, which is a c++ binding to the famous gtk+ library, uses
%{pkgname}.


%package -n %{libname}
Summary:	The Typesafe Signal Framework for C++
Group:		System/Libraries
Provides:	%{pkgname}%{api_version} = %{version}-%{release}

%description -n %{libname}
Callback system for use in widget libraries, abstract interfaces, and
general programming.

This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally part
of the Gtk-- widget set, %{pkgname} is now a separate library to provide for
more general use. It is the most complete library of its kind with the
ablity to connect an abstract callback to a class method, function, or
function object. It contains adaptor classes for connection of dissimilar
callbacks and has an ease of use unmatched by other C++ callback
libraries.

Package gtkmm, which is a c++ binding to the famous gtk+ library, uses
%{pkgname}.


%package -n %{libnamedev}
Summary:	Development tools for the Typesafe Signal Framework for C++
Group:		Development/C++
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	sigc++%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%mklibname -d sigc++ %api_version %major

%description -n %{libnamedev}
This package contains the headers and static libraries of %{pkgname},
which are needed when developing or compiling applications which use
%{pkgname}.

%package doc
Summary:	Documentation for %{pkgname} library
Group:		Documentation
BuildArch:	noarch

%description doc
This package provides API documentation of %{pkgname} library.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%meson -Dbuild-documentation=true
%meson_build

%check
%meson_test

%install
%meson_install

%files -n %{libname}
%doc COPYING NEWS README
%{_libdir}/libsigc-%{api_version}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc AUTHORS ChangeLog
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_libdir}/sigc++-%{api_version}

%files doc
%doc %{_docdir}/libsigc++-%{api_version}
%_datadir/devhelp/books/libsigc++-%{api_version}


%changelog
* Wed Nov 25 2020 ovitters <ovitters> 2.10.6-1.mga8
+ Revision: 1649275
- new version 2.10.6

* Sun Sep 27 2020 daviddavid <daviddavid> 2.10.4-1.mga8
+ Revision: 1630814
- switch to meson build system
+ ovitters <ovitters>
- new version 2.10.4

* Fri Mar 27 2020 daviddavid <daviddavid> 2.10.3-1.mga8
+ Revision: 1560915
- new version: 2.10.3

* Sat Feb 15 2020 umeabot <umeabot> 2.10.2-2.mga8
+ Revision: 1526836
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Tue Jul 02 2019 ovitters <ovitters> 2.10.2-1.mga8
+ Revision: 1417811
- new version 2.10.2

* Tue Oct 30 2018 ovitters <ovitters> 2.10.1-1.mga7
+ Revision: 1326759
- new version 2.10.1

* Sun Sep 23 2018 umeabot <umeabot> 2.10.0-2.mga7
+ Revision: 1299149
- Mageia 7 Mass Rebuild

* Sat Sep 24 2016 ovitters <ovitters> 2.10.0-1.mga6
+ Revision: 1055726
- new version 2.10.0

* Fri Mar 18 2016 wally <wally> 2.8.0-1.mga6
+ Revision: 992869
- new version 2.8.0
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Nov 13 2015 ovitters <ovitters> 2.6.2-1.mga6
+ Revision: 902995
- new version 2.6.2

* Thu Oct 08 2015 ovitters <ovitters> 2.6.1-1.mga6
+ Revision: 887922
- new version 2.6.1

* Thu Sep 24 2015 tv <tv> 2.6.0-1.mga6
+ Revision: 882672
- new release

* Thu Sep 03 2015 ovitters <ovitters> 2.5.4-1.mga6
+ Revision: 872529
- new version 2.5.4

* Sat Aug 29 2015 ovitters <ovitters> 2.5.3-1.mga6
+ Revision: 871010
- new version 2.5.3

* Mon Aug 24 2015 ovitters <ovitters> 2.5.2-1.mga6
+ Revision: 869009
- new version 2.5.2

* Tue Aug 11 2015 ovitters <ovitters> 2.5.1-1.mga6
+ Revision: 862473
- new version 2.5.1

* Sat Jun 20 2015 ovitters <ovitters> 2.4.1-1.mga6
+ Revision: 836501
- new version 2.4.1

* Wed Oct 15 2014 umeabot <umeabot> 2.4.0-3.mga5
+ Revision: 743248
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.0-2.mga5
+ Revision: 681783
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 wally <wally> 2.4.0-1.mga5
+ Revision: 676807
- new version 2.4.0
- drop unneeded obsoletes/provides

* Fri Oct 18 2013 umeabot <umeabot> 2.2.11-4.mga4
+ Revision: 507345
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.2.11-3.mga3
+ Revision: 358158
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 2.2.11-2.mga3
+ Revision: 305615
- Documentation group
+ ovitters <ovitters>
- clean spec

* Mon Sep 24 2012 fwang <fwang> 2.2.11-1.mga3
+ Revision: 296948
- new version 2.2.11

* Sat Dec 31 2011 fwang <fwang> 2.2.10-2.mga2
+ Revision: 189256
- doc should be noarch package
- new version 2.2.10
  do not ship .la files

* Tue Jun 28 2011 fwang <fwang> 2.2.9-1.mga2
+ Revision: 115049
- new version 2.2.9

* Thu Jan 13 2011 ahmad <ahmad> 2.2.8-2.mga1
+ Revision: 8688
- clean spec; drop old/unneeded scriptlets
- imported package libsigc++2.0

